Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.ruleset
Class ExprParser.Token

`java.lang.Object
oracle.rules.sdk.editor.ruleset.ExprParser.Token`

Enclosing class:
  ExprParser

public class ExprParser.Token
extends java.lang.Object

Token represents a lexeme in a parsed expression. Includes the token value, type, and error, if any.

Field Summary
`static int` | `ROOT_CLASS_NAME`
`static int` | `ROOT_DATAMODEL_NAME`
`static int` | `ROOT_LOCAL_VARIABLE_NAME`
`static int` | `ROOT_RULESET_NAME`

Method Summary
`int` | `getBegin()`
`int` | `getEnd()`
`int` | `getError()` See ExprParser.ERROR* for specific codes
`ExprParser.Token` | `getMatchToken()`
`java.lang.String` | `getRLName()`
`java.lang.String` | `getToken()` Returns the value of the token.
`int` | `getType()`
`java.lang.String` | `getUnquotedToken()`
`int` | `getUse()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ROOT_LOCAL_VARIABLE_NAME

    public static final int ROOT_LOCAL_VARIABLE_NAME

  See Also:
    Constant Field Values

### ROOT_DATAMODEL_NAME

    public static final int ROOT_DATAMODEL_NAME

  See Also:
    Constant Field Values

### ROOT_RULESET_NAME

    public static final int ROOT_RULESET_NAME

  See Also:
    Constant Field Values

### ROOT_CLASS_NAME

    public static final int ROOT_CLASS_NAME

  See Also:
    Constant Field Values

Method Detail

### getBegin

    public int getBegin()

  Returns:
    the beginning index of the token within the expression

### getEnd

    public int getEnd()

  Returns:
    the ending index of the token within the expression stream adjusted for use with String.substring()

### getToken

    public java.lang.String getToken()

  Returns the value of the token. For string literals, includes quotes. For identifiers, includes qualification.
  Returns:
    the value of the token

### getUnquotedToken

    public java.lang.String getUnquotedToken()

### getError

    public int getError()

  See ExprParser.ERROR* for specific codes
  Returns:
    error code

### getType

    public int getType()

  Returns:
    The type of this token, @see TOKEN_IDENTIFIER

### getUse

    public int getUse()

  Returns:
    The use of this token, @see TOKEN_USE

### getRLName

    public java.lang.String getRLName()

### getMatchToken

    public ExprParser.Token getMatchToken()

  Returns:
    If the token is ( or [, returns the matching ) ] token, or null if none

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.